DEMANGLE(1)

NAME
demangle - Undo C++ name mangling for symbols

SYNOPSIS

demangle

DESCRIPTION

demangle reads a list of C++ mangled symbol names from standard input and converts these names to human-readable form on standard output.

This utility is part of the KDE Software Development Kit.

EXAMPLE

Create a file called names containing the following mangled symbol names:
_ZNK6Object10metaObjectEv
_ZN8QPtrListI5ArrowE5clearEv
_ZTC4Kolf0_11KMainWindow

These names can then be demangled as follows:

    example$ demangle < names Object::metaObject() const QPtrList<Arrow>::clear() construction vtable for KMainWindow-in-Kolf

SEE ALSO

kminspector(1) kmtrace(1) match(1)

AUTHOR
Ben Burton.